-- #New: 23.06.2022/J.Fes
-- #Doc: returns TC-Volume details
select
 vol.pvolume_name AS VolumeName,
 vol.pnode_name AS ServerName,
 CASE WHEN COALESCE(vol.pwnt_path_name, '(NULL)') != '(NULL)' THEN vol.pwnt_path_name
      WHEN COALESCE(vol.punix_path_name, '(NULL)') != '(NULL)' THEN vol.punix_path_name
      ELSE vol.pvms_path_name END AS VolPath
from infodba.PIMANVOLUME vol
order by VolumeName
